=== debian/changelog ===
ros-eloquent-swri-console (2.0.0-1bionic) bionic; urgency=high

  * ROS 2 Dashing Support (#31 <https://github.com/swri-robotics/swri_console/issues/31>)
  * Contributors: Jacob Hassold, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 31 Mar 2020 05:00:00 -0000

ros-eloquent-swri-console (1.1.0-1bionic) bionic; urgency=high

  * Added simple rosout_agg_recorder (#15 <https://github.com/pjreed/swri_console/issues/15>)
  * Change logger levels from within swri_console (#20 <https://github.com/pjreed/swri_console/issues/20>)
  * Load ROS logs and directories of ROS logs
  * Fix compiler warnings found with Clang
  * Add search bar
  * Contributors: Edward Venator, P. J. Reed, Phil Westhart, Victor Murray, elliotjo, jgassaway

 -- P. J. Reed <preed@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-eloquent-swri-console (1.0.0-1bionic) bionic; urgency=high

  * Add kinetic and lunar and simplify CI
    - Remove cruft from CI configuration
    - Add ROS kinetic to CI configuration
    - Add ROS lunar to CI configuration
    - Remove shadow-fixed builds from CI configuration. Since this repository has very few catkin dependencies, there's no reason to build for both shadow-fixed and released.
  * Fix compiler warnings
  * Contributors: Edward Venator, P. J. Reed, elliotjo

 -- P. J. Reed <preed@swri.org>  Sat, 01 Apr 2017 05:00:00 -0000

ros-eloquent-swri-console (0.2.0-1bionic) bionic; urgency=high

  * Port to Qt5 #16 <https://github.com/swri-robotics/swri_console/issues/16>
  * Contributors: Edward Venator, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-eloquent-swri-console (0.1.0-1bionic) bionic; urgency=high

  * Remove settings_keys.h from qt4_wrap_cpp to suppress warning
    There are no QT-wrappable classes in this header, so the QT build emits a
    warning that it's doing nothing on the file. Since it's doing nothing,
    we might as well remove the file from the wrapper macro.
  * Adding support for Travis CI
    This is based on the script provided by ros-industrial at:
    https://github.com/ros-industrial/industrial_ci
  * Fix for issue #12 <https://github.com/swri-robotics/swri_console/issues/12>; "Copy Extended" was only copying blank lines.
  * Add option to alternate row colors for stronger line distinction.
    This uses the QAbstractItemView's alternatingRowColors property
    to alternate the background color of each line in the log list.  You
    can disable the alternating colors by right clicking on the log, and
    your preference should be persistent between sessions.
  * Fix incorrect target in CMakeLists.txt
  * Select all nodes when user hits Ctrl+A in the node list.
    Closes #6 <https://github.com/swri-robotics/swri_console/issues/6>.
  * Sync behavior between saving to bags and text files.
    This closes #10 <https://github.com/swri-robotics/swri_console/issues/10> by using the same behavior when saving to text
    and bag files.  Both now save the same messages that are in the user's
    current view.  Partly because this lets the user save subsets or
    everything by deliberately selecting everything, and partly because it
    was a lot easier to change the save to bag behavior than vice versa.
  * Handle log messages with multiple lines correctly.
    This fixes the console to handle log messages with multiple
    lines correctly.  We're going to be using a little bit more memory
    now, but it shouldn't be a major issue and performance still seems
    great.  Closes #8 <https://github.com/swri-robotics/swri_console/issues/8>.
  * Closes Issue #04 <https://github.com/swri-robotics/swri_console/issues/04> - Subscribe to rosout_agg instead of rosout.
    I spent an hour adding an option to subscribe to either /rosout or
    /rosout_agg thinking that we would still need to listen to /rosout
    when playing back a bag file that only had /rosout recorded. But it
    turns out that the republisher catches those and puts them on
    /rosout_agg anyways. I reverted the changes and just changed RosThread
    to subscribe to /rosout_agg.
  * Fix issue 05 - Node list not clearing out properly.
    The root cause of this problem was that the message count in the log
    database was not being cleared out.  I've refactored the structure a
    little bit to make the dependencies a little cleaner.  The log
    database doesn't know about the NodeListModel anymore (though the
    model now knows about the database).  This puts things more in line
    with the log database just being the main source of information, and
    the node list model and log database proxy being different views onto
    the database.
  * Merge pull request #7 <https://github.com/swri-robotics/swri_console/issues/7> from pjreed/user_settings
    User settings
  * Saving user settings for issue #2 <https://github.com/swri-robotics/swri_console/issues/2>.
  * Fixing a typo that prevented the Fatal-level message from printing.
  * Adds license headers to all code.
  * Adding screenshot for github front page.
  * Adding console_generator.py script to generate fake messages.
  * Create README.md
  * Add url package file.
  * Update package metadata.
    * Adds maintainer and author name
    * Sets license to BSD
    * Adds a more verbose description
  * Remove unused dependency on qt_build, which is gone in Jade.
  * Fix catkin lint
  * Add extended copy option.
    This is an extended version of the copy command that also copies extra
    information like the node name, source file, source line, etc to the
    clipboard.
  * Change default warning color to orange.
    Yellow-on-white is particularly hard for my eyes to read, especially
    out on a vehicle in daylight.
  * Add the ability to write logs to txt or bag files.
  * Fixing an issue with the "install" target.
  * Fixing issues found by cppcheck.
  * Adding the ability to colorize logs.
  * Adding a menu open to read bag files directly.

