=== debian/control ===
Source: ros-eloquent-swri-console
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libqt5core5a, libqt5gui5, libqt5opengl5-dev, libqt5widgets5, ros-eloquent-ament-cmake, ros-eloquent-rcl-interfaces, ros-eloquent-rclcpp, ros-eloquent-rosidl-default-generators, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/swri_console
Standards-Version: 3.9.2

Package: ros-eloquent-swri-console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libqt5core5a, libqt5gui5, libqt5widgets5, ros-eloquent-rcl-interfaces, ros-eloquent-rclcpp, ros-eloquent-rosidl-default-runtime, ros-eloquent-ros-workspace
Description: A rosout GUI viewer developed at Southwest Research Insititute as an alternative to rqt_console.
